Bug 129347 - Slide Context menu is not displayed if Slide Pane is undocked
Summary: Slide Context menu is not displayed if Slide Pane is undocked
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-12-12 17:09 UTC by Xisco Faulí
Modified: 2019-12-17 12:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-12-12 17:09:30 UTC
Steps to reproduce:
1. Launch Impress
2.Undock the slide pane
3. Close Impress and open it again
4. Right click on the slide in the slide pane

-> Nothing happens

Reproduced in

Version: 6.5.0.0.alpha0+
Build ID: 4a8d3b80283cec4a93dd697eab70afcb82f04f4f
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-12-12 17:10:48 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7db198677d7907a1e146f0287ab742ee536f397f

author	Caolán McNamara <caolanm@redhat.com>	2019-06-14 10:02:15 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-06-14 13:07:43 +0200
commit 7db198677d7907a1e146f0287ab742ee536f397f (patch)
tree f6219e9e2c190d9c4be270e01ca5678d3d5c12a8
parent 252239ae30313142195b3da81aea45a89b2d6674 (diff)
broadcast up/down of welded native modal dialogs like vcl ones

Bisected with: bibisect-linux64-6.4

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2019-12-12 20:47:40 UTC
This might be an ordering thing, template wizard disables input to main window, then floating sidebar is made as child of main window and inherits disabled input, the  wizard goes away, leaving floating sidebar disabled. Where if the sidebar appeared before the wizard all would have been ok.
Comment 3 Commit Notification 2019-12-13 16:52:26 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/418b6589752525a9937089a73f0e116109b27657

Resolves: tdf#129347 ensure impress docking window has enabled input

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-12-14 19:35:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/04ad06533c933b2190b05f42beb50d85a795c3c6

Resolves: tdf#129347 ensure impress docking window has enabled input

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-12-16 11:11:46 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: 3e33a11d8a553a99bd5f23940a65c301924198fb
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!